<?php defined("SYSPATH") or die("No direct script access.");

class approvalqueue_Core {

  static function check_config() {
    if(!module::get_var("approvalqueue","appq_album") && identity::active_user()->admin){
      message::error("ERR: [approvalqueue]: Approval Queue Album VAR Not Found!");
      if(identity::active_user()->admin){
	url::redirect("admin/approvalqueue");
      } else {
	return "ERROR";
      }
    }

    $appq_perms_err = "0";
    $appq_perms = ORM::factory("access_intent")
      ->where("item_id", "=", module::get_var("approvalqueue","appq_album"))
      ->find();
    if($appq_perms->view_1 == 1){
      message::error("ERR: [approvalqueue]: View permissions for need to be off for Everybody");
      $appq_perms_err = 1;
    }
    if($appq_perms->view_2 == 1){
      message::error("ERR: [approvalqueue]: View permissions need to be off for Registered Users");
      $appq_perms_err = 1;
    }
    if($appq_perms->view_full_1 == 1){
      message::error("ERR: [approvalqueue]: View full size permissions need to be off for Everybody");
      $appq_perms_err = 1;
    }
    if($appq_perms->view_full_2 == 1){
      message::error("ERR: [approvalqueue]: View full size permissions need to be off for Registered Users");
      $appq_perms_err = 1;
    }
    if($appq_perms->edit_1 == 1){
      message::error("ERR: [approvalqueue]: Edit Permissions need to be off for Everybody");
      $appq_perms_err = 1;
    }
    if($appq_perms->edit_2 == 1){
      message::error("ERR: [approvalqueue]: Edit Permissions need to be off for Registered Users");
      $appq_perms_err = 1;
    }
    if($appq_perms->add_1 == 1){
      message::error("ERR: [approvalqueue]: Add permissions need to be off for Everybody");
      $appq_perms_err = 1;
    }
    if($appq_perms->add_2 != 1){
      message::error("ERR: [approvalqueue]: Add permissions need to be on for Registered Users");
      $appq_perms_err = 1;
    }
    if($appq_perms_err == 1){
      if(identity::active_user()->admin){
	url::redirect("admin/approvalqueue");
      } else {
	return "ERROR";
      }
    }

    $db = Database::instance();
    $table = "appqs";
    $query = "SHOW TABLES LIKE '%appqs'";
    $result = $db->query($query)->count();
    if(empty($result)) { 
      message::error("ERR [approvalqueue]: APPQ database does not exist!");
      if(identity::active_user()->admin){
	url::redirect("admin/approvalqueue");
      } else {
	return "ERROR";
      }
    }
  }

  static function breadcrumb($item_id) {
    if($item_id == 1){
      $parent = ORM::factory("item",$item_id);
      $bc = $parent->title;
      return $bc;
    }
    $pid = ORM::factory("item",$item_id);
    $breadcrumb = Breadcrumb::array_from_item_parents($pid);
    $bc = $breadcrumb[0]->title;
    array_shift($breadcrumb);
    foreach($breadcrumb as $title){
      $bc .= " &rarr; ".$title->title;
    }
    return $bc;
  }

  static function get_dest_album($item_id) {
    $da = ORM::factory("appq")->where("appq_item", "=", $item_id)->find();
    return $da->appq_album;
  }

  static function verify_appr_items_have_dest_album_right($item_id) {
    $item = ORM::factory("appq")->where("appq_item", "=", $item_id)->find();
    if($item->loaded()){
      return "GOOD";
    } else {
      return "BAD";
    }
  }

  static function get_comment_for_admin($item_id) {
    $appqdata = ORM::factory("appq")
      ->where("appq_item", "=", $item_id)
      ->find();
    return $appqdata->comment;
  }

  static function fix_album_cover() {
    if(identity::active_user()->admin){
      $needappr = ORM::factory("appq")->count_all();
      if($needappr > 0){
	$input = MODPATH . "approvalqueue/waitingforapproval-n.jpg";
      } else {
	$input = MODPATH . "approvalqueue/waitingforapproval.jpg";
      }

      $temp = ORM::factory("item",module::get_var("approvalqueue","appq_album"));
      $output = $temp->thumb_path();
      $size = module::get_var("gallery", "thumb_size", 200);
      $options = array("width" => $size, "height" => $size, "master" => Image::AUTO);
      gallery_graphics::resize($input, $output, $options, null);
    }
  }

  static function fix_appq_perms() {
    $test = ORM::factory("item",module::get_var("approvalqueue","appq_album"));
    $reg = identity::lookup_group("2");
    $eb = identity::lookup_group("1");
    access::allow($reg, "add", $test);
    access::deny($reg, "edit", $test);
    access::deny($reg, "view", $test);
    access::deny($reg, "view_full", $test);
    access::deny($eb, "add", $test);
    access::deny($eb, "edit", $test);
    access::deny($eb, "view", $test);
    access::deny($eb, "view_full", $test);
  }

}
