<?php defined("SYSPATH") or die("No direct script access.");

class approvalqueue_installer {

  static function install() {
    $db = Database::instance();
    $db->query("CREATE TABLE IF NOT EXISTS {appqs} (
	`id` int(9) NOT NULL auto_increment,
	`appq_item` int(9) NOT NULL,
	`appq_album` int(9) NOT NULL,
	`comment` TEXT NOT NULL,
	PRIMARY KEY (`id`),
	KEY(`appq_item`, `id`))
	DEFAULT CHARSET=utf8;");

    module::set_version("approvalqueue",7);

    $album = ORM::factory("item");
    $album->type = "album";
    $album->parent_id = 1;
    $album->name = "Approval-Queue";
    $album->title = "Approval-Queue";
    $album->slug = "Approval-Queue";
    $album->description = "Approval-Queue Album";
    $album->validate();
    $album->save();
    
    module::set_var("approvalqueue","appq_album",$album->id);

    approvalqueue::fix_album_cover();
    approvalqueue::fix_appq_perms();
    approvalqueue::check_config();
  }

  static function activate(){
    approvalqueue::fix_album_cover();
    approvalqueue::fix_appq_perms();
    approvalqueue::check_config();
  }

  static function upgrade($version) {
    if($version < 2){
      $db = Database::instance();
      $db->query("ALTER TABLE `appqs` ADD `comment` TEXT NOT NULL");
    }
    if($version < 3){
      approvalqueue::fix_album_cover();
      approvalqueue::fix_appq_perms();
      approvalqueue::check_config();
    }
    module::set_version("approvalqueue", 7);
  }

}
