<?php defined("SYSPATH") or die("No direct script access."); ?>

<h1><?= t("Approval Queue Status:") ?></h1>

<div class="g-block ui-helper-clearfix">
  <p>
    <?= t("The Approval Queue module requires a few things to be set appropriately."); ?>
    <?= "<br>" ?>
    <?= t("The status of each requirement is below. If there are errors, you can fix them here."); ?>
  </p>

  <div class="g-block-content">
    <h2><?= t("Approval Queue Album") ?></h2
  </div>

<?
  if($appq_album = module::get_var("approvalqueue","appq_album")){
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>">
<?
    echo "SUCCESS - ID: $appq_album";
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> FAILED - ID: NOT FOUND!
    <br>
    <a href="<?= url::site("approvalqueue/create_appq_album") ?>"
      data-ajax-handler="function(data) { window.location.reload() }"
      title="<?= t("Fix It!") ?>"
      class="g-ajax-link g-button ui-icon-left ui-state-default ui-corner-all"><?= t("Fix It!") ?></a>
<?
    exit;
  }

?>

  <div class="g-block-content">
    <h2><?= t("Approval Queue Database Table") ?></h2
  </div>

<?
    $db = Database::instance();
    $table = "appqs";
    $query = "SHOW TABLES LIKE 'appqs'";      
    $result = $db->query($query)->count();  
    if(empty($result)) {
?>
      <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> FAILED - DB NOT FOUND!
    <br>
    <a href="<?= url::site("approvalqueue/create_appqs_db") ?>"
      data-ajax-handler="function(data) { window.location.reload() }"
      title="<?= t("Fix It!") ?>"
      class="g-ajax-link g-button ui-icon-left ui-state-default ui-corner-all"><?= t("Fix It!") ?></a>
<?
    } else {
?>
      <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> SUCCESS: DB table is good
<?
    }
?>

  <div class="g-block-content">
    <h2><?= t("Approval Queue Album Permissions") ?></h2>

<?
  $perr = 0;
  $appq_perms = ORM::factory("access_intent")->where("item_id", "=", $appq_album)->find();
  if(!$appq_perms->loaded()){
?>
      <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> FAILED - Perms entry not found!
    <br>
    <a href="<?= url::site("approvalqueue/fix_appq_perms/add") ?>"
      data-ajax-handler="function(data) { window.location.reload() }"
      title="<?= t("Fix It!") ?>"
      class="g-ajax-link g-button ui-icon-left ui-state-default ui-corner-all"><?= t("Fix It!") ?></a>
<?
    exit;
  }
?>

<table>
  <tr>
    <th><?= t("Permission") ?></th>
    <th><?= t("Who") ?></th>
    <th><?= t("Status") ?></th>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("Add"); ?>
    </td>
    <td>
      <?= t("Everybody"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->add_1) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("Add"); ?>
    </td>
    <td>
      <?= t("Registered Users"); ?>
    </td>
    <td>
<?
  if ($appq_perms->add_2) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> ON
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> OFF (ERR: Should be ON)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("View"); ?>
    </td>
    <td>
      <?= t("Everybody"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->view_1) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("View"); ?>
    </td>
    <td>
      <?= t("Registered Users"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->view_2) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("View Full Size"); ?>
    </td>
    <td>
      <?= t("Everybody"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->view_full_1) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("View Full Size"); ?>
    </td>
    <td>
      <?= t("Registered Users"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->view_full_2) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("Edit"); ?>
    </td>
    <td>
      <?= t("Everybody"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->edit_1) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

  <tr class="<?= text::alternate("g-odd", "g-even") ?>">
    <td>
      <?= t("Edit"); ?>
    </td>
    <td>
      <?= t("Registered Users"); ?>
    </td>
    <td>
<?
  if (!$appq_perms->edit_2) {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> OFF
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> ON (ERR: Should be OFF)
<?
    $perr = 1;
  }
?>
    </td>
  </tr>

</table>

<?
  if($perr == 1){
?>
      <img src="<?= url::file(gallery::find_file("images", "ico-denied.png")) ?>"> FAILED - Perms errors found!
    <br>
    <a href="<?= url::site("approvalqueue/fix_appq_perms/fix") ?>"
      data-ajax-handler="function(data) { window.location.reload() }"
      title="<?= t("Fix It!") ?>"
      class="g-ajax-link g-button ui-icon-left ui-state-default ui-corner-all"><?= t("Fix It!") ?></a>
<?
  } else {
?>
    <img src="<?= url::file(gallery::find_file("images", "ico-success.png")) ?>"> SUCCESS - Permissions look good!
<?
  }
?>

  </div>
</div>
